Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author Roni Saha

    (@ronisaha)


    I’m assuming the problem is with your PHP version.

    The Plugin Is developed as Fully OOP using NAMESPACE.

    So if your PHP version is prior 5.3 the plugin should not work!!

    Kenan

    (@hodzickenan)


    I have the same error, and my PHP version is 5.3.22.
    Parse error: syntax error, unexpected T_STRING in ../wp-content/plugins/easy-filter/ez-filter.php on line 12

    Any other idea?
    Thanks

    Plugin Author Roni Saha

    (@ronisaha)


    Hi Kenan,
    The problem would/should only occurred if and only if your server is not recognize the namespace keyword. And as per http://www.php.net/ Namespace is implemented from version 5.3.0. So if php version of your server is 5.3.22. The error should not be occurred!

    You may try to execute a simple script with single line of code like

    namespace MyNameSpace;

    if it also throws an error. Than its obvious, your server could not recognize the namespace keyword. try to run a script with
    phpinfo(); function to be sure about the PHP version you are running.

    Thanks.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Parse error’ is closed to new replies.